; ====================================================;
;                                                     ;
;      glu32.inc for EC v2 Fasm visual projects       ;
;                   (version 1.0.1)                   ;
;                                                     ;
;            Copyright  Ramon Sala - 2022            ;
;                                                     ;
; ====================================================;

if ~defined GLU32_INC
define GLU32_INC 1

if defined APP_WIN64
    extrn '__imp_gluBeginCurve' as gluBeginCurve:qword
    extrn '__imp_gluBeginPolygon' as gluBeginPolygon:qword
    extrn '__imp_gluBeginSurface' as gluBeginSurface:qword
    extrn '__imp_gluBeginTrim' as gluBeginTrim:qword
    extrn '__imp_gluBuild1DMipmaps' as gluBuild1DMipmaps:qword
    extrn '__imp_gluBuild2DMipmaps' as gluBuild2DMipmaps:qword
    extrn '__imp_gluCylinder' as gluCylinder:qword
    extrn '__imp_gluDeleteNurbsRenderer' as gluDeleteNurbsRenderer:qword
    extrn '__imp_gluDeleteQuadric' as gluDeleteQuadric:qword
    extrn '__imp_gluDeleteTess' as gluDeleteTess:qword
    extrn '__imp_gluDisk' as gluDisk:qword
    extrn '__imp_gluEndCurve' as gluEndCurve:qword
    extrn '__imp_gluEndPolygon' as gluEndPolygon:qword
    extrn '__imp_gluEndSurface' as gluEndSurface:qword
    extrn '__imp_gluEndTrim' as gluEndTrim:qword
    extrn '__imp_gluErrorString' as gluErrorString:qword
    extrn '__imp_gluErrorUnicodeStringEXT' as gluErrorUnicodeStringEXT:qword
    extrn '__imp_gluGetNurbsProperty' as gluGetNurbsProperty:qword
    extrn '__imp_gluGetString' as gluGetString:qword
    extrn '__imp_gluGetTessProperty' as gluGetTessProperty:qword
    extrn '__imp_gluLoadSamplingMatrices' as gluLoadSamplingMatrices:qword
    extrn '__imp_gluLookAt' as gluLookAt:qword
    extrn '__imp_gluNewNurbsRenderer' as gluNewNurbsRenderer:qword
    extrn '__imp_gluNewQuadric' as gluNewQuadric:qword
    extrn '__imp_gluNewTess' as gluNewTess:qword
    extrn '__imp_gluNextContour' as gluNextContour:qword
    extrn '__imp_gluNurbsCallback' as gluNurbsCallback:qword
    extrn '__imp_gluNurbsCurve' as gluNurbsCurve:qword
    extrn '__imp_gluNurbsProperty' as gluNurbsProperty:qword
    extrn '__imp_gluNurbsSurface' as gluNurbsSurface:qword
    extrn '__imp_gluOrtho2D' as gluOrtho2D:qword
    extrn '__imp_gluPartialDisk' as gluPartialDisk:qword
    extrn '__imp_gluPerspective' as gluPerspective:qword
    extrn '__imp_gluPickMatrix' as gluPickMatrix:qword
    extrn '__imp_gluProject' as gluProject:qword
    extrn '__imp_gluPwlCurve' as gluPwlCurve:qword
    extrn '__imp_gluQuadricCallback' as gluQuadricCallback:qword
    extrn '__imp_gluQuadricDrawStyle' as gluQuadricDrawStyle:qword
    extrn '__imp_gluQuadricNormals' as gluQuadricNormals:qword
    extrn '__imp_gluQuadricOrientation' as gluQuadricOrientation:qword
    extrn '__imp_gluQuadricTexture' as gluQuadricTexture:qword
    extrn '__imp_gluScaleImage' as gluScaleImage:qword
    extrn '__imp_gluSphere' as gluSphere:qword
    extrn '__imp_gluTessBeginContour' as gluTessBeginContour:qword
    extrn '__imp_gluTessBeginPolygon' as gluTessBeginPolygon:qword
    extrn '__imp_gluTessCallback' as gluTessCallback:qword
    extrn '__imp_gluTessEndContour' as gluTessEndContour:qword
    extrn '__imp_gluTessEndPolygon' as gluTessEndPolygon:qword
    extrn '__imp_gluTessNormal' as gluTessNormal:qword
    extrn '__imp_gluTessProperty' as gluTessProperty:qword
    extrn '__imp_gluTessVertex' as gluTessVertex:qword
    extrn '__imp_gluUnProject' as gluUnProject:qword
else
    extrn '__imp__gluBeginCurve@4' as gluBeginCurve:dword
    extrn '__imp__gluBeginPolygon@4' as gluBeginPolygon:dword
    extrn '__imp__gluBeginSurface@4' as gluBeginSurface:dword
    extrn '__imp__gluBeginTrim@4' as gluBeginTrim:dword
    extrn '__imp__gluBuild1DMipmaps@24' as gluBuild1DMipmaps:dword
    extrn '__imp__gluBuild2DMipmaps@28' as gluBuild2DMipmaps:dword
    extrn '__imp__gluCylinder@36' as gluCylinder:dword
    extrn '__imp__gluDeleteNurbsRenderer@4' as gluDeleteNurbsRenderer:dword
    extrn '__imp__gluDeleteQuadric@4' as gluDeleteQuadric:dword
    extrn '__imp__gluDeleteTess@4' as gluDeleteTess:dword
    extrn '__imp__gluDisk@28' as gluDisk:dword
    extrn '__imp__gluEndCurve@4' as gluEndCurve:dword
    extrn '__imp__gluEndPolygon@4' as gluEndPolygon:dword
    extrn '__imp__gluEndSurface@4' as gluEndSurface:dword
    extrn '__imp__gluEndTrim@4' as gluEndTrim:dword
    extrn '__imp__gluErrorString@4' as gluErrorString:dword
    extrn '__imp__gluErrorUnicodeStringEXT@4' as gluErrorUnicodeStringEXT:dword
    extrn '__imp__gluGetNurbsProperty@12' as gluGetNurbsProperty:dword
    extrn '__imp__gluGetString@4' as gluGetString:dword
    extrn '__imp__gluGetTessProperty@12' as gluGetTessProperty:dword
    extrn '__imp__gluLoadSamplingMatrices@16' as gluLoadSamplingMatrices:dword
    extrn '__imp__gluLookAt@72' as gluLookAt:dword
    extrn '__imp__gluNewNurbsRenderer@0' as gluNewNurbsRenderer:dword
    extrn '__imp__gluNewQuadric@0' as gluNewQuadric:dword
    extrn '__imp__gluNewTess@0' as gluNewTess:dword
    extrn '__imp__gluNextContour@8' as gluNextContour:dword
    extrn '__imp__gluNurbsCallback@12' as gluNurbsCallback:dword
    extrn '__imp__gluNurbsCurve@28' as gluNurbsCurve:dword
    extrn '__imp__gluNurbsProperty@12' as gluNurbsProperty:dword
    extrn '__imp__gluNurbsSurface@44' as gluNurbsSurface:dword
    extrn '__imp__gluOrtho2D@32' as gluOrtho2D:dword
    extrn '__imp__gluPartialDisk@44' as gluPartialDisk:dword
    extrn '__imp__gluPerspective@32' as gluPerspective:dword
    extrn '__imp__gluPickMatrix@36' as gluPickMatrix:dword
    extrn '__imp__gluProject@48' as gluProject:dword
    extrn '__imp__gluPwlCurve@20' as gluPwlCurve:dword
    extrn '__imp__gluQuadricCallback@12' as gluQuadricCallback:dword
    extrn '__imp__gluQuadricDrawStyle@8' as gluQuadricDrawStyle:dword
    extrn '__imp__gluQuadricNormals@8' as gluQuadricNormals:dword
    extrn '__imp__gluQuadricOrientation@8' as gluQuadricOrientation:dword
    extrn '__imp__gluQuadricTexture@8' as gluQuadricTexture:dword
    extrn '__imp__gluScaleImage@36' as gluScaleImage:dword
    extrn '__imp__gluSphere@20' as gluSphere:dword
    extrn '__imp__gluTessBeginContour@4' as gluTessBeginContour:dword
    extrn '__imp__gluTessBeginPolygon@8' as gluTessBeginPolygon:dword
    extrn '__imp__gluTessCallback@12' as gluTessCallback:dword
    extrn '__imp__gluTessEndContour@4' as gluTessEndContour:dword
    extrn '__imp__gluTessEndPolygon@4' as gluTessEndPolygon:dword
    extrn '__imp__gluTessNormal@28' as gluTessNormal:dword
    extrn '__imp__gluTessProperty@16' as gluTessProperty:dword
    extrn '__imp__gluTessVertex@12' as gluTessVertex:dword
    extrn '__imp__gluUnProject@48' as gluUnProject:dword
end if

end if ;GLU32_INC
